/*
 * _74HC165.h
  */ 

#ifndef _74HC165_H_
#define _74HC165_H_

#define HC74_165_DDR DDRB
#define HC74_165_PORT PORTB
#define HC74_165_PIN PINB

// Erster 165	   Pin 10 Serial Input	>	GND
#define PL  2	// Pin 1 PL				>	PB2	7
#define CLK 0	// Pin 2 CLK			>	PB0 5
#define DIN 4	// Pin 9 QH				>	PB4 3
// Pin 15 CLK Inhibit	>	GND
//Kaskade		// Pin 9 QH				>	Pin 10 Serial Input

#define anzahl_74HC165 1
char HC165_Data[anzahl_74HC165 * 8];

// Initialisieren
void init_74HC165();

// Alle Pinzustnde per Software abfragen
// Hierbei werden alle Pins abgefragt und in HC165_Data[] gespeichert
void read_All_74HC165();

// Bestimmte Position (bitNummer) abfragen
// Nummerierung von 0 bis n
// Hierbei wird nur bis zu dem Relevanten Pin abgefragt und high = 1 \ low = 0 zurckgegeben
char read_Bit_74HC165(int8_t bitNummer );

#endif /* _74HC165_H_ */