/*
 * Sparrow_74HC595_74HC165.c
 
 Pin 9 des 74HC165 darf wrend der Programmierung nicht verbunden sein.
 
 Bei bettigung eines oder mehrerer Taster am 165 leuchtet die entsprechende Led am 595 auf .
 */ 

#ifndef F_CPU
#define F_CPU 1200000UL
#endif

#include <avr/io.h>
#include <util/delay.h>
#include "_74HC595.h"
#include "_74HC165.h"
int main(void)
{
	init_74HC595();
	init_74HC165();
	_delay_ms(1000);
	
    while(1)
	{
		read_All_74HC165();
			
		for ( int i = 0; i < 8; i++)
		{
			if ((HC165_Data[i] == 1))
			set_Pin_74HC595(0,i);
			else clear_Pin_74HC595(0,i);
		}
		_delay_ms(100);
	}
}